Get a secret
curl --request GET \
--url https://api.e2b.app/secrets/{secretID} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.e2b.app/secrets/{secretID}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.e2b.app/secrets/{secretID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secretID": "<string>",
"name": "<string>",
"currentVersion": 123,
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}secrets
Get a secret
Get one secret’s metadata, selected by identifier or name.
GET
/
secrets
/
{secretID}
Get a secret
Authorizations
Path Parameters
Identifier of the secret (sec_ prefixed), or its canonical lower-case name
Response
Successfully retrieved the secret
Metadata of a secret. It never carries the secret value.
Identifier of the secret
Name of the secret, unique within the project
Version served to readers that do not name one
Customer metadata of the secret. Always present, empty when unset. At most 32 entries; keys are limited to 128 bytes, values to 1024 bytes, and a secret's metadata to 8192 bytes in total.
Show child attributes
Show child attributes
Time when the secret was created
Time when the secret was last updated
Was this page helpful?